This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 519074 - Review Request: fakeroot-ng - Fools programs into thinking they are running with root permission
Review Request: fakeroot-ng - Fools programs into thinking they are running w...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-08-24 17:21 EDT by Jens Kuehnel
Modified: 2013-02-19 05:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 05:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Kuehnel 2009-08-24 17:21:38 EDT
Spec URL: http://www.kuehnel.org/fakeroot-ng.spec
SRPM URL: http://www.kuehnel.org/fakeroot-ng-0.17-0.1.fc11.src.rpm
Description: 
Fakeroot-ng is a clean re-implementation of fakeroot. The core idea
is to run a program, but wrap all system calls that program performs
so that it thinks it is running as root, while it is, in practice,
running as an unprivileged user. When the program is trying to perform
a privileged operation (such as modifying a file's owner or creating
a block device), this operation is emulated, so that an unprivileged
operation is actually carried out, but the result of the privileged
operation is reported to the program whenever it attempts to query
the result.
Comment 1 Dominic Hopf 2009-08-29 08:14:01 EDT
$ rpmlint fakeroot-ng.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint fakeroot-ng-0.17-0.1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint fakeroot-ng-0.17-0.1.fc11.x86_64.rpm fakeroot-ng-debuginfo-0.17-0.1.fc11.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUSTs
-----

OK: package is named according to the package naming guidelines
OK: specfile name matches %{name}.spec
OK: package seems to meet packaging guidelines
OK: license in specfile matches actual license and meets licensing guidelines
NOT OK: license file is included in %doc
OK: specfile is written in AE
OK: specfile is legible
OK: sourcefile in the package is the same as provided in the mentioned source,
    md5sum fits
NOT OK: package compiles successfully
	the package does not compile for ppc64. See http://koji.fedoraproject.org/koji/taskinfo?taskID=1642634
	Possible solutions:
	Patch the configure script yourself and/or report this issue to upstream.
	You can temporarily work around this with 'ExcludeArch: ppc64' to get through
	the build system, but please note that this is really just a workaround and
	no solution
N/A: all build dependencies are listed in BuildRequires
	there are no build dependencies
N/A: package handles locales properly
     there are no locales installed with this package
N/A: call ldconfig in %post and %postun
     there is no binary installed with this package
OK: package is not designed to be relocatable
OK: package owns directorys it creates
OK: does not list a file more than once in the %files listing
OK: %files section includes %defattr and permissions are set properly
OK: %clean section is there and contains rm -rf %{buildroot}
OK: macros are consistently used
OK: package contains code
N/A: subpackage for large documentation files
     there are no large documentation files
OK: program runs properly without files listed in %doc
N/A: header files are in a -devel package
     there are no header files installed with this package
N/A: static libraries are in a -static package
     there are no static libs installed with this package
N/A: require pkgconfig if package contains a pkgconfig(.pc)
     there is no pkgconfig file
N/A: put .so-files into -devel package if there are library files with suffix
     there is no library with suffix, in fact there isn't any library
N/A: devel package includes fully versioned dependency for the base package
     there is no devel package
N/A: any libtool archives are removed
     there are no libtool archives
N/A: contains desktop file if it is a GUI application
     this is a command line application
OK: package does not own any files or directories owned by other packages
OK: buildroot is removed at beginning of %install
N/A: filenames are encoded in UTF-8
     not necessary since there are no non-ASCII filenames


SHOULD
------
N/A: non-English translations for description and summary
     there are no other languages supported by this package, in fact it does not
     provide any localization. I assume localizations are not needed for this
     package.
OK: package builds in mock
NOT OK: package builds into binary rpms for all supported architectures
     see above
N/A: program runs
     I did not test myself if the program works as it should
N/A: subpackages contain fully versioned dependency for the base package
     there are no subpackages
N/A: pkgconfig file is placed in a devel package
     there is no pkgconfig file
N/A: require package providing a file instead of the file itself
     no files outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin are required

- I would recommend to use the %{version} tag in Source, since this
  makes maintenance work easier
- the CFLAGS parameter for make is missing in %build section
- there is a %doc without any following files in one line
- the license file (COPYING) is missing in the %files section
- please also add AUTHORS, ChangeLog, INSTALL, NEWS, README and README.porting
  to the %files-section and tag them as %doc
- the header files (*.h) are missing a licensing hint, it would also be nice to
  see one there. Please report this to upstream
Comment 2 Miroslav Suchý 2012-12-11 17:31:50 EST
Ping? Any progress here? Or we can close this review?
Comment 3 Miroslav Suchý 2013-02-19 05:52:14 EST
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.

Note You need to log in before you can comment on or make changes to this bug.